bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Problem Building Emacs


From: Eli Zaretskii
Subject: Re: Problem Building Emacs
Date: Wed, 20 Nov 2002 21:32:15 +0300

> From: Alan McConnell <address@hidden>
> Date: Wed, 20 Nov 2002 13:53:12 -0500
> 
> emacs 19.34(source downloaded from ftp.gnu.org):  I can run ./configure
> without a problem.  When I then type "make" the compile quickly exits
> with a complaint about /usr/include/unistd.h: at line 568 "parse error
> before '('", "parse error before __pgrp" and then,
> at emacs.c 657 "too few arguments to function get pgrp"
> 
> emacs 20.6(source downloaded from ftp.gnu.org):  I can run ./configure
> without a problem.  When I then type "make" the complie quickly exits
> with a complaint about /usr/include/unistd.h: at line 562, "macro 'setpgrp'
> requires 2 arguments, but only one given."

Get a later version of Emacs (the latest one is 21.2), I believe this
problem is solved there.  The problem appeared due to an incompatible
change in system headers on GNU/Linux systems, so versions of Emacs
released before that change are unlikely to have the solution.




reply via email to

[Prev in Thread] Current Thread [Next in Thread]